Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class RmUtil

    java.lang.Object
      org.eclipse.lyo.client.oslc.resources.RmUtil

    public final class RmUtil

extends Object

Constructor Summary
`RmUtil()`

Method Summary
`static Element` | `convertStringToHTML(String text)`
`static org.eclipse.lyo.oslc4j.core.model.ResourceShape` | `lookupRequirementsInstanceShapes(String serviceProviderUrl, String oslcDomain, String oslcResourceType, OslcClient client, String requiredInstanceShape)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RmUtil

    public RmUtil()

Method Detail

### lookupRequirementsInstanceShapes

    public static org.eclipse.lyo.oslc4j.core.model.ResourceShape lookupRequirementsInstanceShapes(String serviceProviderUrl,
                                                                                                   String oslcDomain,
                                                                                                   String oslcResourceType,
                                                                                                   OslcClient client,
                                                                                                   String requiredInstanceShape)
                                                                                            throws IOException,
                                                                                                   net.oauth.OAuthException,
                                                                                                   URISyntaxException,
                                                                                                   ResourceNotFoundException

  Throws:
    `IOException`
    `net.oauth.OAuthException`
    `URISyntaxException`
    `ResourceNotFoundException`

### convertStringToHTML

    public static Element convertStringToHTML(String text)
                                       throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.